Description

Reportado por Gustavo Agüero en la lista de usuarios.
Se produce un error en función de que sea o no la misma proyección de la vista-por defecto en gvSIG.
Copio su reporte:
---
Al calcular la Red de Drenaje (MDE sin  depresiones):
·         FLOWACC: se calcula correctamente
·         NETWORK: se calcula correctamente
·         NETWORKVECT: presenta un pequeño problema o inconveniente:
NETWORKVECT: se calcula correctamente (geometrías y tabla) sí y solo sí, en las Preferencias de la aplicación se tiene por defecto
la proyección del raster o MDE principal.

·         Más detalles: Mi gvSIG tenía por defecto la proyección EPSG:4326 (WGS84) y la capa mencionada genera solo la tabla, no
así las geometrías.
·         Al cambiar la proyección por defecto de las vistas a EPSG:23030 (que es la proyección del MDE), entonces se generan
correctamente (shape y tabla).
Hago la aclaración de que este es un problema detectado en Sextante desde versiones anteriores. Algunos de mi modelos, al
correrlos generaban salidas que se proyectaban en vistas en función de la proyección o EPSG por defecto.
----

History
#1 - 02/11/2014 01:34 PM - Ignacio Brodín
- Status changed from New to Awaiting response

La pregunta que habría que hacer es como sabe la proyección de la capa raster porque si este MDE tiene proyección asignada, la capa de salida
debería estar en la misma proyección que la de entrada.

La cuestión es que la toolbox cuando va a generar una capa vectorial nueva le asigna la proyección de la capa de entrada. Si esta no tiene usa la de
por defecto, que es la que aparece en preferencias. Por eso ocurre que si no tiene en preferencias la misma que la que el piensa que está su MDE no
va. Es decir, el problema seguramente es que el MDE no tiene proyección asignada con lo que gvSIG no sabe que proyección poner en la salida
poniendo la que tiene en preferencias.

Soluciones posibles: 
Asignar previamente una proyección a la capa raster usando la herramienta "Transformaciones geográficas", "Asignar proyección". Esta asignará al
MDE la proyección de la vista. 
 Hacemos que la proyección por defecto sea la de la vista activa y no la de preferencias, aunque desconozco que otros problemas puede genera
esto.

#2 - 02/11/2014 05:23 PM - Ignacio Brodín
- Status changed from Awaiting response to Fixed

El comportamiento queda así:
Si la capa de entrada tiene proyección a la de salida se aplica esta, sino se usa el CRS por defecto.
El CRS por defecto será el de la vista activa. Si en ese momento no hay vista activa se busca entre todas las ventanas abiertas la primera vista
disponible. Si aún así no encuentra vista (cosa imposible porque sino no se lanzaría la toolbox) se usa el CRS de preferencias..

gvsig-geoprocess:r476

#3 - 02/20/2014 11:22 PM - Álvaro Anguix
- Status changed from Fixed to Closed
